Bug 1195623 (CVE-2015-0827) - CVE-2015-0827 Mozilla: Out-of-bounds read and write while rendering SVG content (MFSA 2015-19)
Summary: CVE-2015-0827 Mozilla: Out-of-bounds read and write while rendering SVG conte...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-0827
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1193790
TreeView+ depends on / blocked
 
Reported: 2015-02-24 08:11 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-09-29 13:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-06 09:53:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0265 normal SHIPPED_LIVE Critical: firefox security update 2015-02-25 03:40:16 UTC
Red Hat Product Errata RHSA-2015:0266 normal SHIPPED_LIVE Important: thunderbird security update 2015-02-25 17:38:44 UTC
Red Hat Product Errata RHSA-2015:0629 normal SHIPPED_LIVE Critical: firefox security update 2015-03-05 19:04:22 UTC
Red Hat Product Errata RHSA-2015:0642 normal SHIPPED_LIVE Important: thunderbird security update 2015-03-06 00:29:49 UTC

Description Huzaifa S. Sidhpurwala 2015-02-24 08:11:28 UTC
Security researcher Abhishek Arya (Inferno) of the Google Chrome Security Team used the Address Sanitizer tool to report an out-of-bounds read and an out-of-bounds write when rendering an improperly formatted SVG graphic. This could potentially allow the attacker to read uninitialized memory.

In general this flaw cannot be exploited through email in the Thunderbird product because scripting is disabled, but is potentially a risk in browser or browser-like contexts.


External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2015-19


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Abhishek Arya as the original reporter.

Comment 1 errata-xmlrpc 2015-02-24 22:40:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 7

Via RHSA-2015:0265 https://rhn.redhat.com/errata/RHSA-2015-0265.html

Comment 2 errata-xmlrpc 2015-02-25 12:39:14 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2015:0266 https://rhn.redhat.com/errata/RHSA-2015-0266.html

Comment 3 errata-xmlrpc 2015-03-05 14:12:14 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 for PPC64 LE

Via RHSA-2015:0629 https://access.redhat.com/errata/RHSA-2015:0629

Comment 4 errata-xmlrpc 2015-03-05 19:31:14 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:0642 https://rhn.redhat.com/errata/RHSA-2015-0642.html


Note You need to log in before you can comment on or make changes to this bug.